#
# spec file for package python-fuse
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-fuse
Version:        0.2.1
Release:        15.2
License:        LGPL-2.1
Summary:        Python bindings for FUSE
Url:            http://sourceforge.net/projects/fuse/files/fuse-python/
Group:          Development/Libraries/Python
Source:         fuse-python-%{version}.tar.gz
BuildRequires:  fuse-devel
BuildRequires:  pkg-config
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
Python bindings for FUSE (User space File System)

%prep
%setup -q -n fuse-python-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --root=%{buildroot} --prefix=%{_prefix} --record-rpm=INSTALLED_FILES

%files -f INSTALLED_FILES
%defattr(-,root,root)

%changelog
* Tue Jan 31 2012 saschpe@suse.de
- Fix SLE_11 build
* Fri Jan 27 2012 Greg.Freemyer@gmail.com
- upgrade to version 0.2.1
  * make_release.sh:
    Fix generation of MANIFEST.in in make_release.sh
  * fuse.py, fuseparts/__init__.py:
    Fix previous fix for ctors of Timespec and Flock to be backwards
    compatible, bump version to 0.2.1
  * fuseparts/_fusemodule.c:
    Fix incorrect handling of getxattr for the size=0 case
  * fuse.py:
    absolutify the mount path when "fetch_mp" is set
* Fri Jun 27 2008 prusnak@suse.cz
- created package (v 0.2)
  python-fuse provides python bindings to the fuse library (fuse = userspace filesystem)
